Servers - Bug #322

[server:repo] Needs attended pacman update
2013-05-05 03:30 PM - lukeshu

Status: fixed % Done: 50%
Priority: bug

Assignee:

Category:

Description

repo still has glibc/filesystem from before the /lib+/usr/lib merge.

I'm afraid to do it because | can't sit down with it and push the power button if something goes wrong.

History

#2 - 2013-05-05 03:44 PM - lukeshu

I'm not saying we need to upgrade everything, just

pacman -S pacman gcc gcc—libs libtool linux-libre-xen

| wouldn't have even added linux-libre-xen, but linux-libre-api-headers would get upgraded by the others.
#4 - 2013-05-08 06:36 PM - lukeshu

Just to throw it out there: It hasn't been upgraded since 2012-05-03, more than a year.

pacman -Qi $(pacman -Q|sed 's/ .*//') |
sed -nr 's/(Install Date|Name)\s*:\s*//p' |

sed -r "s/(...) (o) (evd) (eved) (eweenan. ) (..) GMT/\4 \3 \2 \6 \5/"'
tr '"\n' ' ' | sed -r 's/([APIM ..:..:..) /\1\n/g'

sed —r "s/(\S*) (.*)/\2 \1/' |

sort

Of course, a few packages have been installed since then. The above, piped into tail:

2012 May 03 PM 08:42:25 xfsprogs
2012 May 03 PM 08:42:25 your-freedom
2012 May 03 PM 08:42:25 zile

2012 May 14 PM 08:32:15 unzip-libre
2012 Oct 16 PM 01:50:57 python

2013 Jan 19 AM 03:14:43 gnu-netcat
2013 May 05 PM 08:55:02 etckeeper
2013 May 05 PM 09:23:31 colordiff
2013 May 05 PM 10:26:00 mediawiki
2013 May 05 PM 11:24:47 imake

etckeeper, colordiff, mediawiki, and imake were done by me.

#6 - 2014-07-03 01:57 AM - lukeshu

- % Done changed from 0 to 50

I successfully updated glibc+filesystem+pacman today. Yes, | rule.

| also updated murmurd, and manually kept the init script around.

Most of the packages still need updates, and it must be done carefully, but the "hell" upgrading is done :)
Any word on if systemd will work on it?

#7 - 2014-07-04 11:03 AM - mtjm

We checked if kernel options documented as needed by systemd are enabled a long time ago, all required ones are. | think we should try the
upgrade and maybe ask n1md4 for logs and a kernel upgrade if it fails.

#8 - 2014-07-13 05:35 PM - mtjm

- Status changed from open to fixed
You fixed it.
